EDIT - feature request #8624

Add abbrev title cache to search in bulk editor
10/29/2019 10:30 AM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.13

Severity: normal

Description

The bulk editor results should also contain results for caches containing abbreviations like TeamOrPerson.nomenclaturalTitle or
Reference.abbrevTitleCache

Otherwise it is difficult to use it when working on nomenclatural references.

Related issues:
Related to EDIT - bug #8878: Author selection dialog does not work on abbrev ... New

Associated revisions

Revision bdde6137 - 01/22/2020 10:00 AM - Katja Luther

ref #8624: add dao and service methods to search for titlecache or abbrev title cache

Revision 72836bf3 - 01/22/2020 10:01 AM - Katja Luther

ref #8624: call service methods to search for titteCache and abbrevTitleCache

Revision 1e97edc1 - 03/09/2020 10:51 AM - Katja Luther
ref #8624: add search on fulltitleCache

Revision a17b1bfc - 03/09/2020 04:51 PM - Katja Luther

fix #8624: adapt search manager to fulltittecache search

History

#1 - 11/05/2019 01:47 PM - Katja Luther
- Status changed from New to In Progress

- Target version changed from Release 5.11 to Release 5.12

#2 - 01/16/2020 01:14 PM - Katja Luther

- Target version changed from Release 5.12 to Release 5.13

#3 - 01/22/2020 10:02 AM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

#4 - 03/05/2020 02:23 PM - Andreas Miiller
- Related to bug #8878: Author selection dialog does not work on abbrev author title added

#5 - 03/05/2020 02:26 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

Works well for TeamOrPersonBase and Reference.

#6 - 03/05/2020 02:31 PM - Andreas Miiller
Does not yet work for TaxonName.fullTitleCache though the fulltittecache seems to be the one that is shown in the first column. So searching for
Te. Bo.™" will not show an entry "Test Axf., Te. Bo." which is not intuitive.

In theory search should run on all caches (for names: fulltitlecache, tittecache, namecache, authorshipcache), in practice this might be only necessary
if caches are protected, otherwise fulltitlecache search will include all others

Please decide if this is a new ticket or if you want to handle it here.

#7 - 03/09/2020 10:47 AM - Katja Luther

- Status changed from Feedback to Resolved

| added the fulltitteCache to the search for taxon names in bulk editor. | will create a new ticket for the more detailed implementation for checking
whether the other caches are protected.

#8 - 03/09/2020 12:06 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

#9 - 03/09/2020 12:06 PM - Katja Luther
- % Done changed from 0 to 50

#10 - 03/09/2020 03:06 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

For me it still does not work. As soon as my search contains any part of the fulltittecache | get no result. E.g searching for " Axf." works but searching
for " Axf.*
Also the example from comment #6 still does not work.

#11 - 03/09/2020 04:51 PM - Katja Luther

- Status changed from Feedback to Resolved

Applied in changeset taxeditor|al7b1bfce808174323c58b7cad023ce991d69ef0.

#12 - 03/09/2020 04:52 PM - Katja Luther
- Status changed from Resolved to Feedback
Andreas Miller wrote:
For me it still does not work. As soon as my search contains any part of the fulltittecache | get no result. E.g searching for " Axf." works but

searching for " Axf.,*
Also the example from comment #6 still does not work.

Missed to commit the search manager, this is done now.

#13 - 03/09/2020 05:03 PM - Katja Luther

- Status changed from Feedback to Resolved

#14 - 03/09/2020 05:44 PM - Andreas Miiller

- Assignee changed from Katja Luther to Andreas Miiller

#15 - 03/18/2020 02:29 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 50 to 100

| tested with the caryophyllales_spp data at the example of the name Achatocarpus balansae Schinz & Autran

The search is now respecting the following caches:

e Taxon.titteCache
e TaxonName.fullTitleCache
e TaxonName.nameCache
e TaxonName.nomeref ...authorshipcache

So this is fully solved now and can be closed
